Create a Contact Note
curl --request POST \
--url https://api.virtuoussoftware.com/api/ContactNote \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"contactId": "<integer>",
"type": "<string>",
"note": "<string>",
"noteDateTime": "<dateTime>",
"important": "<boolean>",
"private": "<boolean>",
"timeSpent": "<integer>"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
contactId: '<integer>',
type: '<string>',
note: '<string>',
noteDateTime: '<dateTime>',
important: '<boolean>',
private: '<boolean>',
timeSpent: '<integer>'
})
};
fetch('https://api.virtuoussoftware.com/api/ContactNote', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.virtuoussoftware.com/api/ContactNote"
payload = {
"contactId": "<integer>",
"type": "<string>",
"note": "<string>",
"noteDateTime": "<dateTime>",
"important": "<boolean>",
"private": "<boolean>",
"timeSpent": "<integer>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)using RestSharp;
var options = new RestClientOptions("https://api.virtuoussoftware.com/api/ContactNote");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
request.AddJsonBody("{\n \"contactId\": \"<integer>\",\n \"type\": \"<string>\",\n \"note\": \"<string>\",\n \"noteDateTime\": \"<dateTime>\",\n \"important\": \"<boolean>\",\n \"private\": \"<boolean>\",\n \"timeSpent\": \"<integer>\"\n}", false);
var response = await client.PostAsync(request);
Console.WriteLine("{0}", response.Content);
<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.virtuoussoftware.com/api/ContactNote",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'contactId' => '<integer>',
'type' => '<string>',
'note' => '<string>',
'noteDateTime' => '<dateTime>',
'important' => '<boolean>',
'private' => '<boolean>',
'timeSpent' => '<integer>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}HttpResponse<String> response = Unirest.post("https://api.virtuoussoftware.com/api/ContactNote")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"contactId\": \"<integer>\",\n \"type\": \"<string>\",\n \"note\": \"<string>\",\n \"noteDateTime\": \"<dateTime>\",\n \"important\": \"<boolean>\",\n \"private\": \"<boolean>\",\n \"timeSpent\": \"<integer>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.virtuoussoftware.com/api/ContactNote")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"contactId\": \"<integer>\",\n \"type\": \"<string>\",\n \"note\": \"<string>\",\n \"noteDateTime\": \"<dateTime>\",\n \"important\": \"<boolean>\",\n \"private\": \"<boolean>\",\n \"timeSpent\": \"<integer>\"\n}"
response = http.request(request)
puts response.read_bodyconst url = 'https://api.virtuoussoftware.com/api/ContactNote';
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
contactId: '<integer>',
type: '<string>',
note: '<string>',
noteDateTime: '<dateTime>',
important: '<boolean>',
private: '<boolean>',
timeSpent: '<integer>'
})
};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));{
"id": 850044,
"timeSpent": 30,
"contactId": 100456,
"createDateTimeUtc": "2025-11-15T16:50:00Z",
"createdByUser": "Partner Integration",
"modifiedDateTimeUtc": "2025-11-15T16:50:00Z",
"modifiedByUser": "Partner Integration",
"noteDate": "2025-11-15",
"type": "Email",
"note": "Sent recurring gift thank-you and 2025 impact update.",
"important": false,
"isPrivate": false,
"createdByAvatarUrl": null,
"reminder": null
}{
"message": "Authorization has been denied for this request."
}{
"message": "You do not have permission to perform this action."
}{
"message": "Rate limit exceeded. Try again later."
}Contacts and Individuals
Create a Contact Note
Records a note on a contact — a call, a visit, or any other interaction worth keeping. Use the List Contact Note Types endpoint for the values type accepts, important to surface the note on the contact record, and timeSpent to log how long the interaction took.
POST
/
api
/
ContactNote
Create a Contact Note
curl --request POST \
--url https://api.virtuoussoftware.com/api/ContactNote \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"contactId": "<integer>",
"type": "<string>",
"note": "<string>",
"noteDateTime": "<dateTime>",
"important": "<boolean>",
"private": "<boolean>",
"timeSpent": "<integer>"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
contactId: '<integer>',
type: '<string>',
note: '<string>',
noteDateTime: '<dateTime>',
important: '<boolean>',
private: '<boolean>',
timeSpent: '<integer>'
})
};
fetch('https://api.virtuoussoftware.com/api/ContactNote', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.virtuoussoftware.com/api/ContactNote"
payload = {
"contactId": "<integer>",
"type": "<string>",
"note": "<string>",
"noteDateTime": "<dateTime>",
"important": "<boolean>",
"private": "<boolean>",
"timeSpent": "<integer>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)using RestSharp;
var options = new RestClientOptions("https://api.virtuoussoftware.com/api/ContactNote");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
request.AddJsonBody("{\n \"contactId\": \"<integer>\",\n \"type\": \"<string>\",\n \"note\": \"<string>\",\n \"noteDateTime\": \"<dateTime>\",\n \"important\": \"<boolean>\",\n \"private\": \"<boolean>\",\n \"timeSpent\": \"<integer>\"\n}", false);
var response = await client.PostAsync(request);
Console.WriteLine("{0}", response.Content);
<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.virtuoussoftware.com/api/ContactNote",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'contactId' => '<integer>',
'type' => '<string>',
'note' => '<string>',
'noteDateTime' => '<dateTime>',
'important' => '<boolean>',
'private' => '<boolean>',
'timeSpent' => '<integer>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}HttpResponse<String> response = Unirest.post("https://api.virtuoussoftware.com/api/ContactNote")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"contactId\": \"<integer>\",\n \"type\": \"<string>\",\n \"note\": \"<string>\",\n \"noteDateTime\": \"<dateTime>\",\n \"important\": \"<boolean>\",\n \"private\": \"<boolean>\",\n \"timeSpent\": \"<integer>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.virtuoussoftware.com/api/ContactNote")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"contactId\": \"<integer>\",\n \"type\": \"<string>\",\n \"note\": \"<string>\",\n \"noteDateTime\": \"<dateTime>\",\n \"important\": \"<boolean>\",\n \"private\": \"<boolean>\",\n \"timeSpent\": \"<integer>\"\n}"
response = http.request(request)
puts response.read_bodyconst url = 'https://api.virtuoussoftware.com/api/ContactNote';
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
contactId: '<integer>',
type: '<string>',
note: '<string>',
noteDateTime: '<dateTime>',
important: '<boolean>',
private: '<boolean>',
timeSpent: '<integer>'
})
};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));{
"id": 850044,
"timeSpent": 30,
"contactId": 100456,
"createDateTimeUtc": "2025-11-15T16:50:00Z",
"createdByUser": "Partner Integration",
"modifiedDateTimeUtc": "2025-11-15T16:50:00Z",
"modifiedByUser": "Partner Integration",
"noteDate": "2025-11-15",
"type": "Email",
"note": "Sent recurring gift thank-you and 2025 impact update.",
"important": false,
"isPrivate": false,
"createdByAvatarUrl": null,
"reminder": null
}{
"message": "Authorization has been denied for this request."
}{
"message": "You do not have permission to perform this action."
}{
"message": "Rate limit exceeded. Try again later."
}Authorizations
Body
application/json
Response
OK
Was this page helpful?